Loading...
Searching...
No Matches
DcmQueryRetrieveDatabaseHandleFactory Class Referenceabstract

abstract factory class. More...

Inheritance diagram for DcmQueryRetrieveDatabaseHandleFactory:

## Public Member Functions

virtual DcmQueryRetrieveDatabaseHandle * | createDBHandle (const char *callingAETitle, const char *calledAETitle, OFCondition &result) const =0
| this method creates a new database handle instance on the heap and returns a pointer to it, along with a result that indicates if the instance was successfully initialized, i.e.
virtual | ~DcmQueryRetrieveDatabaseHandleFactory ()
| Virtual Destructor.

## Detailed Description

abstract factory class.

Instances of this class are able to create database handles for a given called application entity title.

## Member Function Documentation

## createDBHandle()

virtual DcmQueryRetrieveDatabaseHandle * DcmQueryRetrieveDatabaseHandleFactory::createDBHandle | ( | const char * | callingAETitle,
|  | const char * | calledAETitle,
|  | OFCondition & | result ) const

pure virtual

this method creates a new database handle instance on the heap and returns a pointer to it, along with a result that indicates if the instance was successfully initialized, i.e.

connected to the database

Parameters

  callingAETitle | calling aetitle
  calledAETitle | called aetitle
  result | result returned in this variable

Returns
  pointer to database object, must not be NULL if result is EC_Normal.

Implemented in DcmQueryRetrieveIndexDatabaseHandleFactory.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrdba.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0